# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo
Interface BoxData

All Known Subinterfaces:
  AlbumData, PhotoData

All Known Implementing Classes:
  AlbumDataImpl, AlbumEntry, AlbumFeed, BoxDataImpl, PhotoDataImpl, PhotoEntry, PhotoFeed

    public interface BoxData

Data interface for all geo-tagged extension points that represent a bounding box around a geographical area. This allows various feeds and entries to easily include a Box extension without dealing with the underlying Box implementation.

Method Summary
`void` `clearGeoBoundingBox()` Clears the bounding box and removes the extension point.
`Box` `getGeoBoundingBox()` Gets the bounding box of this entity.
`void` `setGeoBoundingBox(Box boundingBox)` Sets the bounding box for this entity based on a `Box` extension.
`void` `setGeoBoundingBox(Point lowerLeft, Point upperRight)` Sets the bounding box based on two `Point` objects.

Method Detail

### setGeoBoundingBox

    void setGeoBoundingBox(Point lowerLeft,
                           Point upperRight)

  Sets the bounding box based on two `Point` objects. If there is an existing Box on this object, the new points will be copied into the existing box rather than creating a new box.

  Parameters:
    `lowerLeft` - the lower left coordinate of the box.
    `upperRight` - the upper right coordinate of the box.

### setGeoBoundingBox

    void setGeoBoundingBox(Box boundingBox)

  Sets the bounding box for this entity based on a `Box` extension. If there is an existing Box on this object, the new box will have its points copied into the existing box rather than using the passed-in box.

  Parameters:
    `boundingBox` - the box that bounds this entity.

### getGeoBoundingBox

    Box getGeoBoundingBox()

  Gets the bounding box of this entity.

  Returns:
    a Box that contains the boundary for the content of this entity.

### clearGeoBoundingBox

    void clearGeoBoundingBox()

  Clears the bounding box and removes the extension point.